petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASType

Determines the type of nonlinear multigrid method that is run.

### Synopsis

    typedef enum { SNES_FAS_MULTIPLICATIVE, SNES_FAS_ADDITIVE, SNES_FAS_FULL, SNES_FAS_KASKADE } SNESFASType;

Many br

### Values

| SNES_FAS_MULTIPLICATIVE (default) | - traditional V or W cycle as determined by SNESFASSetCycles() Many br
| SNES_FAS_ADDITIVE | - additive FAS cycle Many br
| SNES_FAS_FULL | - full FAS cycle Many br
| SNES_FAS_KASKADE | - Kaskade FAS cycle Many br

### See Also

PCMGSetType(), PCMGType

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages